netatalk: vfs Struct Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
vfs Struct Reference

`#include <speedtest_local_vfs.h>`

## Data Fields
unsigned int(* | getfiledirparams )(CONN *, uint16_t, int, char *, uint16_t, uint16_t)
unsigned int(* | createdir )(CONN *, uint16_t, int, char *)
unsigned int(* | createfile )(CONN *, uint16_t, char, int, char *)
uint16_t(* | openfork )(CONN *, uint16_t, int, uint16_t, int, char *, int)
unsigned int(* | writeheader )(DSI *, uint16_t, int, int, char *, char)
unsigned int(* | writefooter )(DSI *, uint16_t, int, int, char *, char)
unsigned int(* | flushfork )(CONN *, uint16_t)
unsigned int(* | closefork )(CONN *, uint16_t)
unsigned int(* | delete )(CONN *, uint16_t, int, char *)
unsigned int(* | setforkparam )(CONN *, uint16_t, uint16_t, off_t)
unsigned int(* | write )(CONN *, uint16_t, long long, int, char *, char)
unsigned int(* | read )(CONN *, uint16_t, long long, int, char *)
unsigned int(* | readheader )(DSI *, uint16_t, int, int, char *)
unsigned int(* | readfooter )(DSI *, uint16_t, int, int, char *)
unsigned int(* | copyfile )(CONN *, uint16_t, int, uint16_t, int, char *, char *, char *)
uint16_t(* | openvol )(CONN *, char *)
unsigned int(* | closevol )(CONN *conn, uint16_t vol)

## Field Documentation

## ◆ closefork

unsigned int(* vfs::closefork) (CONN *, uint16_t)

## ◆ closevol

unsigned int(* vfs::closevol) (CONN *conn, uint16_t vol)

## ◆ copyfile

unsigned int(* vfs::copyfile) (CONN *, uint16_t, int, uint16_t, int, char *, char *, char *)

## ◆ createdir

unsigned int(* vfs::createdir) (CONN *, uint16_t, int, char *)

## ◆ createfile

unsigned int(* vfs::createfile) (CONN *, uint16_t, char, int, char *)

## ◆ delete

unsigned int(* vfs::delete) (CONN *, uint16_t, int, char *)

## ◆ flushfork

unsigned int(* vfs::flushfork) (CONN *, uint16_t)

## ◆ getfiledirparams

unsigned int(* vfs::getfiledirparams) (CONN *, uint16_t, int, char *, uint16_t, uint16_t)

## ◆ openfork

uint16_t(* vfs::openfork) (CONN *, uint16_t, int, uint16_t, int, char *, int)

## ◆ openvol

uint16_t(* vfs::openvol) (CONN *, char *)

## ◆ read

unsigned int(* vfs::read) (CONN *, uint16_t, long long, int, char *)

## ◆ readfooter

unsigned int(* vfs::readfooter) (DSI *, uint16_t, int, int, char *)

## ◆ readheader

unsigned int(* vfs::readheader) (DSI *, uint16_t, int, int, char *)

## ◆ setforkparam

unsigned int(* vfs::setforkparam) (CONN *, uint16_t, uint16_t, off_t)

## ◆ write

unsigned int(* vfs::write) (CONN *, uint16_t, long long, int, char *, char)

## ◆ writefooter

unsigned int(* vfs::writefooter) (DSI *, uint16_t, int, int, char *, char)

## ◆ writeheader

unsigned int(* vfs::writeheader) (DSI *, uint16_t, int, int, char *, char)

The documentation for this struct was generated from the following file:

- speedtest_local_vfs.h